#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private JYA.MultiMarketTimeMarker[] cacheMultiMarketTimeMarker;

		
		public JYA.MultiMarketTimeMarker MultiMarketTimeMarker(int time1, int time2, int time3, int time4, int time5, int time6, int time7, int time8, int userOffset)
		{
			return MultiMarketTimeMarker(Input, time1, time2, time3, time4, time5, time6, time7, time8, userOffset);
		}


		
		public JYA.MultiMarketTimeMarker MultiMarketTimeMarker(ISeries<double> input, int time1, int time2, int time3, int time4, int time5, int time6, int time7, int time8, int userOffset)
		{
			if (cacheMultiMarketTimeMarker != null)
				for (int idx = 0; idx < cacheMultiMarketTimeMarker.Length; idx++)
					if (cacheMultiMarketTimeMarker[idx].Time1 == time1 && cacheMultiMarketTimeMarker[idx].Time2 == time2 && cacheMultiMarketTimeMarker[idx].Time3 == time3 && cacheMultiMarketTimeMarker[idx].Time4 == time4 && cacheMultiMarketTimeMarker[idx].Time5 == time5 && cacheMultiMarketTimeMarker[idx].Time6 == time6 && cacheMultiMarketTimeMarker[idx].Time7 == time7 && cacheMultiMarketTimeMarker[idx].Time8 == time8 && cacheMultiMarketTimeMarker[idx].UserOffset == userOffset && cacheMultiMarketTimeMarker[idx].EqualsInput(input))
						return cacheMultiMarketTimeMarker[idx];
			return CacheIndicator<JYA.MultiMarketTimeMarker>(new JYA.MultiMarketTimeMarker(){ Time1 = time1, Time2 = time2, Time3 = time3, Time4 = time4, Time5 = time5, Time6 = time6, Time7 = time7, Time8 = time8, UserOffset = userOffset }, input, ref cacheMultiMarketTimeMarker);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.JYA.MultiMarketTimeMarker MultiMarketTimeMarker(int time1, int time2, int time3, int time4, int time5, int time6, int time7, int time8, int userOffset)
		{
			return indicator.MultiMarketTimeMarker(Input, time1, time2, time3, time4, time5, time6, time7, time8, userOffset);
		}


		
		public Indicators.JYA.MultiMarketTimeMarker MultiMarketTimeMarker(ISeries<double> input , int time1, int time2, int time3, int time4, int time5, int time6, int time7, int time8, int userOffset)
		{
			return indicator.MultiMarketTimeMarker(input, time1, time2, time3, time4, time5, time6, time7, time8, userOffset);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.JYA.MultiMarketTimeMarker MultiMarketTimeMarker(int time1, int time2, int time3, int time4, int time5, int time6, int time7, int time8, int userOffset)
		{
			return indicator.MultiMarketTimeMarker(Input, time1, time2, time3, time4, time5, time6, time7, time8, userOffset);
		}


		
		public Indicators.JYA.MultiMarketTimeMarker MultiMarketTimeMarker(ISeries<double> input , int time1, int time2, int time3, int time4, int time5, int time6, int time7, int time8, int userOffset)
		{
			return indicator.MultiMarketTimeMarker(input, time1, time2, time3, time4, time5, time6, time7, time8, userOffset);
		}

	}
}

#endregion
